package com.fjhx.sale.service.contract;

import com.fjhx.sale.entity.contract.po.ContractShipment;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.contract.vo.ContractShipmentVo;
import com.fjhx.sale.entity.contract.dto.ContractShipmentSelectDto;
import com.fjhx.sale.entity.contract.dto.ContractShipmentDto;


/**
 * <p>
 * 外销合同-出货计划 服务类
 * </p>
 *
 * @author 
 * @since 2023-04-17
 */
public interface ContractShipmentService extends BaseService<ContractShipment> {

    /**
     * 外销合同-出货计划分页
     */
    Page<ContractShipmentVo> getPage(ContractShipmentSelectDto dto);

    /**
     * 外销合同-出货计划明细
     */
    ContractShipmentVo detail(Long id);

    /**
     * 外销合同-出货计划新增
     */
    void add(ContractShipmentDto contractShipmentDto);

    /**
     * 外销合同-出货计划编辑
     */
    void edit(ContractShipmentDto contractShipmentDto);

    /**
     * 外销合同-出货计划删除
     */
    void delete(Long id);

}
